Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class Image

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Tag
              org.mortbay.html.Image

    public class Image

extends Tag

HTML Image Tag.

Version:
  $Id: Image.java,v 1.8 2005/08/13 00:01:23 gregwilkins Exp $
Author:
  Greg Wilkins
See Also:
  `Block`

Field Summary

Fields inherited from class org.mortbay.html.Tag
`tag`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Image(File gif)` Construct from GIF file.
`Image(String src)`
`Image(String src, int width, int height, int border)`
`Image(String dirname, String src)` Construct from GIF file.

Method Summary
`Image` | `alt(String alt)`
`Image` | `border(int b)`
`Image` | `setSizeFromGif(File gif)` Set the image size from the header of a GIF file.
`Image` | `setSizeFromGif(String filename)` Set the image size from the header of a GIF file.
`Image` | `setSizeFromGif(String dirname, String pathname)` Set the image size from the header of a GIF file.

Methods inherited from class org.mortbay.html.Tag
`write`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Image

    public Image(String src)

### Image

    public Image(String dirname,
                 String src)

  Construct from GIF file.

### Image

    public Image(File gif)

  Construct from GIF file.

### Image

    public Image(String src,
                 int width,
                 int height,
                 int border)

Method Detail

### border

    public Image border(int b)

### alt

    public Image alt(String alt)

### setSizeFromGif

    public Image setSizeFromGif(String dirname,
                                String pathname)

  Set the image size from the header of a GIF file.

  Parameters:
    `dirname` - The directory name, expected to be in OS format
    `pathname` - The image path name relative to the directory. Expected to be in WWW format (i.e. with slashes) and will be converted to OS format.

### setSizeFromGif

    public Image setSizeFromGif(String filename)

  Set the image size from the header of a GIF file.

### setSizeFromGif

    public Image setSizeFromGif(File gif)

  Set the image size from the header of a GIF file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.